<template>
	<view class="content">
		<web-view :src="url"></web-view>
	</view>
</template>

<script>
	import {
		H5_url
	} from '@/config.js'
	import {
		mapGetters
	} from 'vuex'
	export default {
		data() {
			return {
				url: ''
			}
		},
		onHide() {
			eventChannel.off('acceptDataFromOpenerPage')   //取消监听
		},
		computed: {
			...mapGetters([
				'Token',
			])
		},
		onLoad(options) { //测试时候需进行加密处理
			const eventChannel = this.getOpenerEventChannel()
			eventChannel.on('acceptDataFromOpenerPage',(data) => {
				this.url = H5_url + options.url + `?value=${data.value || null}&token=${this.Token}&appId=${uni.getStorageSync('storage_users').uid}`
			})
		},
	
	}
</script>

<style>
	.content {
		display: flex;
		flex-direction: column;
		align-items: center;
		justify-content: center;
	}
</style>
